ARG BASE_IMAGE=python:3.11-slim
FROM --platform=linux/amd64 ${BASE_IMAGE}

RUN useradd deeploy -m -u 1000 -d /home/deeploy

COPY --chown=deeploy:deeploy job_transformer/requirements.txt requirements.txt

RUN pip install --no-cache-dir -r requirements.txt

COPY --chown=deeploy:deeploy job_transformer ./

USER 1000

ENTRYPOINT ["python", "__main__.py"]